api_platform:
  title: 'Tempest API '
  description: 'A set of apis to build tempest apps'
  version: '1.0.0'
  mapping:
    paths: [
        '%kernel.project_dir%/src/Entity/CC', 
        '%kernel.project_dir%/src/Entity/Vanguard', 
        '%kernel.project_dir%/src/Entity/Sales', 
        '%kernel.project_dir%/src/Entity/CustomerCare'
    ]
  swagger:
    versions: [3]
    api_keys:
      JWT:
        name: Authorization
        type: header
      APP_TP_CODE:
          name: APP_TP_CODE
          type: header
    swagger_ui_extra_configuration:
        docExpansion: 'none'
        persistAuthorization: true
        tagsSorter: 'alpha'
        operationsSorter: 'alpha'
  
  formats:
    json: ['application/json']
    jsonld: ['application/ld+json']
    html: ['text/html']
    multipart: ['multipart/form-data']
  defaults:
    normalization_context:
        skip_null_values: false
